Subject: Re: linux-next: manual merge of the pm tree with the s390 tree

From: "Rafael J. Wysocki" <[email-masked]>
Date: Tue, 25 Oct 2011 10:44:40 +0200

On Tuesday, October 25, 2011, Martin Schwidefsky wrote:
> On Tue, 25 Oct 2011 10:39:46 +0200
> "Rafael J. Wysocki" <[email-masked]> wrote:
> 
> > On Tuesday, October 25, 2011, Stephen Rothwell wrote:
> > > Hi Rafael,
> > > 
> > > Today's linux-next merge of the pm tree got a conflict in
> > > arch/s390/kernel/suspend.c between commit 4de2166b1804 ("[S390] sparse:
> > > fix sparse warnings about missing prototypes") from the s390 tree and
> > > commit 85055dd805f0 ("PM / Hibernate: Include storage keys in hibernation
> > > image on s390") from the pm tree.
> > > 
> > > I fixed it up (see below) and can carry the fix as necessary.
> > 
> > The fix looks correct to me, so please carry it going forward (unless
> > Martin decides to pull it into his tree).
> 
> I could add the git commit 85055dd805f0 from the pm tree to git390 and fix
> the merge conflict in the new sparse patch. Dunno if it is worthwhile.

Not really.  I think the conflict is easy enough to handle at merge time.

Thanks,
Rafael